com.google.gwt.resources.client

## Enum ImageResource.RepeatStyle

- java.lang.Object
- - java.lang.Enum<ImageResource.RepeatStyle>
  - - com.google.gwt.resources.client.ImageResource.RepeatStyle

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ImageResource.RepeatStyle>

Enclosing interface:
  ImageResource

    public static enum ImageResource.RepeatStyle
    extends java.lang.Enum<ImageResource.RepeatStyle>

Indicates that an ImageResource should be bundled in such a way as to support horizontal or vertical repetition.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`Both` The image is intended to be tiled both horizontally and vertically.
`Horizontal` The image is intended to be tiled horizontally.
`None` The image is not intended to be tiled.
`Vertical` The image is intended to be tiled vertically.

### Method Summary

All Methods Static Methods Concrete Methods
`static ImageResource.RepeatStyle` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ImageResource.RepeatStyle[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### None

    public static final ImageResource.RepeatStyle None

The image is not intended to be tiled.

#### Horizontal

    public static final ImageResource.RepeatStyle Horizontal

The image is intended to be tiled horizontally.

#### Vertical

    public static final ImageResource.RepeatStyle Vertical

The image is intended to be tiled vertically.

#### Both

    public static final ImageResource.RepeatStyle Both

The image is intended to be tiled both horizontally and vertically. Note that this will prevent compositing of the particular image in most cases.

### Method Detail

#### values

    public static ImageResource.RepeatStyle[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (ImageResource.RepeatStyle c : ImageResource.RepeatStyle.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static ImageResource.RepeatStyle valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null